import React from 'react';
import type { InterfaceInputProps } from '../Input/types';
import type { PlatformProps } from '../../../components/types';
export interface ITextAreaProps extends Omit<InterfaceInputProps, '_web' | '_android' | '_ios' | '_light' | '_dark'>, PlatformProps<ITextAreaProps> {
    /**
     * Maps to react-native TextInput's numberOfLines.
     */
    totalLines?: number;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<ITextAreaProps, "value" | "p" | "style" | "margin" | "m" | "marginTop" | "mt" | "marginRight" | "mr" | "marginBottom" | "mb" | "marginLeft" | "ml" | "marginX" | "mx" | "marginY" | "my" | "padding" | "paddingTop" | "pt" | "paddingRight" | "pr" | "paddingBottom" | "pb" | "paddingLeft" | "pl" | "paddingX" | "px" | "paddingY" | "py" | "borderWidth" | "borderStyle" | "borderColor" | "borderRadius" | "borderTop" | "borderTopWidth" | "borderTopStyle" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderRight" | "borderRightWidth" | "borderRightStyle" | "borderRightColor" | "borderBottom" | "borderBottomWidth" | "borderBottomStyle" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderLeft" | "borderLeftWidth" | "borderLeftStyle" | "borderLeftColor" | "borderX" | "borderY" | "width" | "w" | "height" | "h" | "display" | "minWidth" | "minW" | "minH" | "minHeight" | "maxWidth" | "maxW" | "maxHeight" | "maxH" | "size" | "verticalAlign" | "overflow" | "overflowX" | "overflowY" | "alignItems" | "alignContent" | "justifyItems" | "justifyContent" | "flexWrap" | "flexDirection" | "flex" | "flexGrow" | "flexShrink" | "flexBasis" | "justifySelf" | "alignSelf" | "order" | "position" | "zIndex" | "top" | "right" | "bottom" | "left" | "bg" | "backgroundColor" | "bgColor" | "isDisabled" | "outline" | "opacity" | "variant" | "shadow" | "color" | "tintColor" | "textDecorationColor" | "backgroundBlendMode" | "backgroundSize" | "backgroundPosition" | "backgroundRepeat" | "backgroundAttachment" | "gap" | "fontFamily" | "fontSize" | "fontWeight" | "lineHeight" | "letterSpacing" | "textDecorationLine" | "userSelect" | "outlineWidth" | "cursor" | "bgImage" | "bgImg" | "bgBlendMode" | "bgSize" | "bgPosition" | "bgPos" | "bgRepeat" | "bgAttachment" | "textAlign" | "fontStyle" | "wordBreak" | "overflowWrap" | "textOverflow" | "textTransform" | "whiteSpace" | "textDecoration" | "txtDecor" | "borderTopRadius" | "borderLeftRadius" | "borderRightRadius" | "rounded" | "roundedTopLeft" | "roundedTopRight" | "roundedBottomLeft" | "roundedBottomRight" | "roundedTop" | "borderBottomRadius" | "roundedBottom" | "roundedLeft" | "roundedRight" | "flexDir" | "boxSize" | "background" | "pointerEvents" | "testID" | "textAlignVertical" | "type" | "isReadOnly" | "isInvalid" | "isFocused" | "isHovered" | "_web" | "_ios" | "_android" | "_light" | "_dark" | "_readOnly" | "_invalid" | "_focus" | "_hover" | "_disabled" | "defaultValue" | "onChange" | "allowFontScaling" | "numberOfLines" | "onLayout" | "nativeID" | "maxFontSizeMultiplier" | "selectionColor" | "textBreakStrategy" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "hitSlop" | "removeClippedSubviews" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "onFocus" | "onBlur" | "autoCapitalize" | "autoCorrect" | "autoFocus" | "blurOnSubmit" | "caretHidden" | "contextMenuHidden" | "editable" | "keyboardType" | "maxLength" | "multiline" | "onChangeText" | "onContentSizeChange" | "onEndEditing" | "onSelectionChange" | "onSubmitEditing" | "onTextInput" | "onScroll" | "onKeyPress" | "placeholder" | "placeholderTextColor" | "returnKeyType" | "secureTextEntry" | "selectTextOnFocus" | "selection" | "inputAccessoryViewID" | "clearButtonMode" | "clearTextOnFocus" | "dataDetectorTypes" | "enablesReturnKeyAutomatically" | "keyboardAppearance" | "passwordRules" | "rejectResponderTermination" | "selectionState" | "spellCheck" | "textContentType" | "scrollEnabled" | "autoCompleteType" | "importantForAutofill" | "disableFullscreenUI" | "inlineImageLeft" | "inlineImagePadding" | "returnKeyLabel" | "underlineColorAndroid" | "showSoftInputOnFocus" | "isRequired" | "isFullWidth" | "InputLeftElement" | "leftElement" | "InputRightElement" | "rightElement" | "wrapperRef" | "_input" | "_stack" | "focusOutlineColor" | "inValidOutlineColor" | "totalLines"> & React.RefAttributes<unknown>>>;
export default _default;
